Skip to main content

Get Daily Balance Summary Detailed

GET 

/v1/operations/balance/daily-summary-detailed

Tag: api-baas-get-operations-balance-daily-summary-detailedDescription: Retrieve the daily balance summary for the authenticated user for a specific date or date range.Note: If the start date is not specified, the first day of the month will be used. If the end date is not specified, the current day will be used.Response Format: Returns an array of daily balance summaries, even if only one day is requested.

Request

Query Parameters

    page number

    Default value: 1

    Page number.

    size number

    Possible values: <= 100

    Default value: 20

    Page size. Max size is 100.

    sort string

    Possible values: [movement_date]

    Default value: movement_date

    Page sort attribute.

    order string

    Possible values: [asc, desc]

    Default value: asc

    Page order.

    currency_symbol string

    Wallet currency tag.

    movement_date_start date-time

    Movement date start for the daily summary (YYYY-MM-DD).

    movement_date_end date-time

    Movement date end for the daily summary (YYYY-MM-DD).

Header Parameters

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

    x-product-uuid string

    UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.

    x-product-target-user-uuid string

    UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.

Responses

The daily balance summary detailed (or summaries) returned successfully. Returns a paginated response with GetDailySummaryDetailedRestResponse objects.

Schema
    page numberrequired

    Page number.

    page_size numberrequired

    Page size.

    page_total numberrequired

    Page total.

    total numberrequired

    Total of elements.

    data object[]required

    Daily summary detailed items.

  • Array [
  • movement_date date-time

    Movement date.

    initial_balance number

    Initial balance in cents (R$).

    final_balance number

    Final balance in cents (R$).

    total_debit number

    Total debit in cents (R$).

    total_credit number

    Total credit in cents (R$).

    currency_symbol string

    Currency symbol.

    pix_receive number

    Pix receive.

    pix_devolution_send number

    Pix devolution send.

    pix_send_self number

    Pix send self.

    pix_send number

    Pix send.

  • ]
Loading...